--- GNUmakefile.perl	19 Apr 2004 03:51:20 -0000	1.3
+++ GNUmakefile.perl	21 May 2004 03:33:25 -0000
@@ -18,8 +18,8 @@
 # Uncomment the following for Mac OS X 10.3 (Panther):
 CB_TARGET_NAME = Panther
 PERL = /usr/bin/perl
-PERL_ARCHLIB = /System/Library/Perl/5.8.1/darwin-thread-multi-2level
-PERL_PRIVLIB = /System/Library/Perl/5.8.1
+PERL_ARCHLIB = $(shell perl -MConfig -e 'print "$$Config{archlib}"')
+PERL_PRIVLIB = $(shell perl -MConfig -e 'print "$$Config{privlib}"')
 
 # Uncomment the following to use a static libperl.a
 # libCamelBones_OBJ_FILES += \
@@ -29,8 +29,10 @@
 libCamelBones_LIB_DIRS = -L$(PERL_ARCHLIB)/CORE/
 libCamelBones_LIBRARIES_DEPEND_UPON = -lperl
 
+CBflags := $(shell eval `perl -V:ccflags`; echo $$ccflags) -I $(PERL_ARCHLIB)/CORE
+
 # Include paths needed to find Perl headers
-libCamelBones_INCLUDE_DIRS += -I$(PERL_ARCHLIB)/CORE/
+libCamelBones_INCLUDE_DIRS += $(CBflags)
 
 # Object files linked to the framework
 libCamelBones_OBJ_FILES += \
Index: Globals.h
===================================================================
RCS file: /cvsroot/camelbones/CamelBones/Globals.h,v
retrieving revision 1.1
diff -u -r1.1 Globals.h
